Bug 510161 - Mesa is mostly unusable with the intel driver
Mesa is mostly unusable with the intel driver
Status: CLOSED DUPLICATE of bug 509528
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
11
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
card_965GM
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-07 18:53 EDT by Mariano Suárez-Alvarez
Modified: 2009-11-09 05:13 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-09 05:13:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.log (52.61 KB, text/plain)
2009-07-07 18:53 EDT, Mariano Suárez-Alvarez
no flags Details

  None (edit)
Description Mariano Suárez-Alvarez 2009-07-07 18:53:55 EDT
Created attachment 350875 [details]
Xorg.log 

Displaying a 3d graphics (in mathematica) results in xorg crashing: the stacktrace written to Xorg.log is

Backtrace:
0: /usr/bin/Xorg(xorg_backtrace+0x3b) [0x812d07b]
1: /usr/bin/Xorg(xf86SigHandler+0x9e) [0x80c061e]
2: [0xa14400]
3: /usr/lib/dri/libdricore.so(vbo_exec_vtx_flush+0x61f) [0xfcbefa]
4: /usr/lib/dri/libdricore.so [0xfc7b41]
5: /usr/lib/xorg/modules/extensions//libglx.so [0x33d7b0]
6: /usr/lib/xorg/modules/extensions//libglx.so [0x368b94]
7: /usr/lib/xorg/modules/extensions//libglx.so [0x36d340]
8: /usr/bin/Xorg(Dispatch+0x347) [0x80864d7]
9: /usr/bin/Xorg(main+0x395) [0x806baf5]
10: /lib/libc.so.6(__libc_start_main+0xe6) [0x54ea66]
11: /usr/bin/Xorg [0x806afa1]

Fatal server error:
Caught signal 8.  Server aborting


This does not look useful AFAICS, but I cannot tell what debug packages, if any, will help.

I'll attach the complete Xorg.log in a sec.

This is in an up-to-date F11 box with, in particular, the following mesa packages:

mesa-libGL-devel-7.6-0.1.fc11.i586
mesa-libGLU-devel-7.6-0.1.fc11.i586
mesa-demos-7.6-0.1.fc11.i586
mesa-dri-drivers-7.6-0.1.fc11.i586
mesa-libGL-7.6-0.1.fc11.i586
mesa-libGLU-7.6-0.1.fc11.i586
Comment 1 Ricardo Schmidt 2009-08-16 13:35:12 EDT
This bug probally is a duplicate of https://bugzilla.redhat.com/show_bug.cgi?id=509528

The only way to fix it is downgrade mesa:
# yum downgrade mesa-dri-drivers mesa-libGL mesa-libGLU mesa-libGL-devel mesa-libGLU-devel
If you have no access to screen go to tty2 with ctrl+alt+F2. Relog and the problem should be gone.

The real fix will come with the mesa update, since looks like is an incompactability problem with some intel graphics cards, like ours.
Comment 2 Matěj Cepl 2009-11-05 13:34:26 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 3 Mariano Suárez-Alvarez 2009-11-06 16:02:54 EST
The packages relevant to this bug have not been updated, in fact. IIRC the problem with the intel drivers in mesa was fixed upstream a while ago, yet F11 has not updated the mesa-dri-drivers package since. 

I can reproduce this crash as easily as 4 months ago :/

I will happily provide any information needed to help fix this, in situ. Installing a new OS is a bit too much, though.
Comment 4 Matěj Cepl 2009-11-09 05:13:43 EST

*** This bug has been marked as a duplicate of bug 509528 ***

Note You need to log in before you can comment on or make changes to this bug.